# Sciento-text
## Goal of the Project
Design of a Sciento-text Computational Framework for Retrieval and Contextual Recommendations of High Quality Scholarly Articles.

## Project Partners
* Department of Computer Science - Banaras Hindu University - Varanasi, India
* GESIS - Leibniz Institute for the Social Sciences - Knowledge Technologies for the Social Sciences - Cologne, Germany

## Research staff 
* Dr Vivek Kumar Singh (Banaras Hindu University)
* Ashraf Uddin (South Asian University)
* Rajesh Piryani (South Asian University)
* Sumit Banshal (South Asian University)

* Dr Philipp Mayr (GESIS)
* Behnam Ghavimi (GESIS)
* Wolfgang Otto (GESIS)

## Scientific objectives and individual components of the joint project
The project aims to design a computational framework for retrieval of high quality scholarly articles and obtaining recommendations in a given research/ semantic context. The broader idea is to bring together concepts from Information Retrieval and Scientometrics to identify scholarly articles relevant to a given information need (or a context) and rank them based on their relevance to the information need as well as their scholarly quality. 

More precisely the project will have following components:
*	Identifying the information need of a researcher either directly or from the contextual environment. A researcher/ learner may specify his/ her information need in form a query directly. Alternatively the system will have to be trained to identify research context of the user by text mining of research articles that s/he may be reading. This will involve implementing sophisticated natural language processing and information extraction algorithms and techniques.
*	Retrieving Relevant Documents. The second component of the system is retrieval of relevant documents (scholarly articles) corresponding to the learned information need. This would require design of conceptual representation of text documents (scholarly articles), computing semantic similarity and identifying suitable matches. Unlike a traditional search engine which measures relevance largely by syntactical similarity measures, the proposed system will incorporate techniques derived from Scientometrics filed (such as bibliometric and network models, co-word and co-citation analysis) for improved semantic matches and retrieval. 
*	Ranking Scholarly Articles for User Recommendation. The third component of the system will deal with ranking candidate articles retrieved based on their scholarly quality and importance. This would involve methodologies from Informetrics, such as exploiting Scientometric indicators (publication source, age, citations and citation potential etc.), percentile measures and Bradfordian zones etc.; and algorithms from information retrieval domain (applied to scholarly article domain).

The proposed framework can generate two kinds of results. First, it can retrieve high quality scholarly articles for a given search query. Second, it can generate contextual retrieval and recommendations by identifying articles semantically similar to a given article being pursued by the reader. In both cases, the retrieved results would comprise of articles ranking high on scholarly quality. A suitable measure of scholarly quality of an article would be developed. The proposed framework would be capable of both retrieval and contextual recommendations.

## Indo-German co-operation 
The project will involve close collaboration and joint work between Indian and German sides. While, the Indian side has experience of working on Text Analytics of scholarly articles and Learning resource recommendation, the German side has sufficient expertise of applying the Scientometrics and Informetrics techniques for Information retrieval in Scholarly article domain. It is necessary to bring together methodologies from Information Retrieval and Scientometrics and fuse them together to design a suitable retrieval and recommendation system as proposed in the project. The collaboration is expected to from a long term association among the two research groups and to promote bilateral research cooperation among the two countries by exchange of ideas, know-how, research staff and sharing of resources. In due course academic collaboration agreements, involving joint research projects and other collaborative activities, between participating Indian and German institutions will be explored.

## Publications
* Banshal, S. K., Singh, V. K., Muhuri, P., & Mayr, P. (2019). How much Research Output from India gets Social Media Attention? Current Science, 117(5), 753–760. https://www.currentscience.ac.in/Volumes/117/05/0753.pdf
* Piryani, R., Otto, W., Mayr, P., & Singh, V. K. (2019). Analysing author name mentions in citation contexts of highly cited publications. Proc. of BIRNDL 2019, 145–152. http://ceur-ws.org/Vol-2414/paper16.pdf
* Otto, W., Ghavimi, B., Mayr, P., Piryani, R., & Singh, V. K. (2019). Highly cited references in PLOS ONE and their in-text usage over time. Proceedings of the 17th International Conference on Scientometrics & Informetrics (ISSI 2019). https://arxiv.org/abs/1903.11693
* Atanassova, I., Bertin, M., & Mayr, P. (2019). Editorial: Mining Scientific Papers: NLP-enhanced Bibliometrics. Frontiers in Research Metrics and Analytics, 4(2). https://doi.org/10.3389/frma.2019.00002
* Banshal, S. K., Singh, V. K., Muhuri, P., & Mayr, P. (2019). Disciplinary Variations in Altmetric Coverage of Scholarly Articles. Proceedings of the 17th International Conference on Scientometrics & Informetrics (ISSI 2019), 1870–1881. Rome, Italy.
* Banshal, S. K., Singh, V. K., & Mayr, P. (2019). Comparing research performance of private universities in India with IITs, central universities and NITs. Current Science, 116(8), 1304–1313. https://doi.org/10.18520/cs/v116/i8/1304-1313
* Rajesh Piryani, Vedika Gupta, Vivek Kumar Singh and David Pinto, “Book Impact Assessment: A quantitative and text-based exploratory analysis”, Journal of Intelligent and Fuzzy Systems, IOS Press, Vol. 34, no. 5, pp. 3101-3110, 2018, DOI: 10.3233/JIFS-169494 (ISSN: 1875-8967, IF: 1.26) https://content.iospress.com/articles/journal-of-intelligent-and-fuzzy-systems/ifs169494


## Funding
DST - DAAD Project-based Personnel Exchange Programme (PPP).

DAAD project number: 57318047
DST project number: DST/INT/FRG/DAAD/P-28/2017
